imax1(3)

NAME
imax1 - imax1: argmax_i | x_i | (in LAPACK)

SYNOPSIS

  Functions

integer function icmax1 (n, cx, incx)
ICMAX1 finds the index of the first vector element of maximum absolute value.
integer function izmax1 (n, zx, incx)
IZMAX1 finds the index of the first vector element of maximum absolute value.

Detailed Description

Function Documentation

  integer function icmax1 (integer n, complex, dimension(*) cx, integer incx)

ICMAX1 finds the index of the first vector element of maximum absolute value.

Purpose:

    !>
    !> ICMAX1 finds the index of the first vector element of maximum absolute value.
    !>
    !> Based on ICAMAX from Level 1 BLAS.
    !> The change is to use the 'genuine' absolute value.
    !>

Parameters
    N

    !>          N is INTEGER
    !>          The number of elements in the vector CX.
    !>

    CX

    !>          CX is COMPLEX array, dimension (N)
    !>          The vector CX. The ICMAX1 function returns the index of its first
    !>          element of maximum absolute value.
    !>

    INCX

    !>          INCX is INTEGER
    !>          The spacing between successive values of CX.  INCX >= 1.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Contributors:
    Nick Higham for use with CLACON.

  integer function izmax1 (integer n, complex*16, dimension(*) zx, integer incx)

IZMAX1 finds the index of the first vector element of maximum absolute value.

Purpose:

    !>
    !> IZMAX1 finds the index of the first vector element of maximum absolute value.
    !>
    !> Based on IZAMAX from Level 1 BLAS.
    !> The change is to use the 'genuine' absolute value.
    !>

Parameters
    N

    !>          N is INTEGER
    !>          The number of elements in the vector ZX.
    !>

    ZX

    !>          ZX is COMPLEX*16 array, dimension (N)
    !>          The vector ZX. The IZMAX1 function returns the index of its first
    !>          element of maximum absolute value.
    !>

    INCX

    !>          INCX is INTEGER
    !>          The spacing between successive values of ZX.  INCX >= 1.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Contributors:
    Nick Higham for use with ZLACON.

Author

Generated automatically by Doxygen for LAPACK from the source code.